scala.tools.nsc.settings

# AbsSettings

#### trait AbsSettings extends reflect.internal.settings.AbsSettings

A Settings abstraction boiled out of the original highly mutable Settings class with the intention of creating an ImmutableSettings which can be used interchangeably. Except of course without the mutants.

Source
  AbsSettings.scala

Linear Supertypes
reflect.internal.settings.AbsSettings, AnyRef, Any
Known Subclasses
FscSettings, GenericRunnerSettings, MutableSettings, Settings
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbsSettings
2. AbsSettings
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait AbsSetting extends Ordered[Setting] with AbsSettingValue

2. #### trait AbsSettingValue extends AnyRef

   Definition Classes
     AbsSettings

3. #### trait InternalSetting extends AbsSetting

4. #### abstract type ResultOfTryToSet

5. #### abstract type Setting <: AbsSetting

   Definition Classes
     AbsSettings → AbsSettings

### Abstract Value Members

1. #### abstract def allSettings: Set[Setting]

   Attributes
     protected

2. #### abstract def errorFn: (String) ⇒ Unit

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AbsSettings to any2stringadd[AbsSettings] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AbsSettings, B)

   Implicit information
     This member is added by an implicit conversion from AbsSettings to ArrowAssoc[AbsSettings] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def checkDependencies: Boolean

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (AbsSettings) ⇒ Boolean, msg: ⇒ Any): AbsSettings

   Implicit information
     This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (AbsSettings) ⇒ Boolean): AbsSettings

    Implicit information
      This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): AbsSettings

    Implicit information
      This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): AbsSettings

    Implicit information
      This member is added by an implicit conversion from AbsSettings to Ensuring[AbsSettings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(that: Any): Boolean

    Definition Classes
      AbsSettings → AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AbsSettings to StringFormat[AbsSettings] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AbsSettings → AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def lookupSetting(cmd: String): Option[Setting]

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def recreateArgs: collection.immutable.List[String]

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toConciseString: String

27. #### def toString(): String

    Definition Classes
      AbsSettings → AnyRef → Any

28. #### def userSetSettings: Set[Setting]

29. #### def visibleSettings: Set[Setting]

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (AbsSettings, B)

    Implicit information
      This member is added by an implicit conversion from AbsSettings to ArrowAssoc[AbsSettings] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from reflect.internal.settings.AbsSettings

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbsSettings to any2stringadd[AbsSettings]

### Inherited by implicit conversion StringFormat from AbsSettings to StringFormat[AbsSettings]

### Inherited by implicit conversion Ensuring from AbsSettings to Ensuring[AbsSettings]

### Inherited by implicit conversion ArrowAssoc from AbsSettings to ArrowAssoc[AbsSettings]

### Ungrouped